# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           garmindev
Version:        0.3.4
Release:        alt1_18
Summary:        Drivers for communication with Garmin GPS devices

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ctest cmake libusb-compat-devel
Source44: import.info


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q

mkdir build


%build
cd build
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fsigned-char"
%{fedora_cmake} ..
make VERBOSE=1 %{?_smp_mflags}


%install
cd build
make install DESTDIR=%{buildroot}

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%files
%doc
%{_libdir}/qlandkartegt/


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_18
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_7
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_5
- initial fc import

